%define anolis_release 2
%bcond_without tests
%global old_name progressbar
%global pypi_name progressbar2

Name:           python-%{pypi_name}
Version:        4.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Text progress bar library for Python
License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://github.com/wolph/python-progressbar/releases/download/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel

%description
A text progress bar is typically used to display the progress of a long running
operation, providing a visual cue that processing is underway.

The progressbar is based on the old Python progressbar package that was
published on the now defunct Google Code. Since that project was completely
abandoned by its developer and the developer did not respond to email, I
decided to fork the package. This package is still backwards compatible with
the original progressbar package so you can safely use it as a drop-in
replacement for existing project.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Text progress bar library for Python
Requires:       python%{python3_pkgversion}-utils python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-utils python%{python3_pkgversion}-six python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-sphinx
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest python%{python3_pkgversion}-freezegun >= 0.3.10
%endif

Obsoletes:      python%{python3_pkgversion}-%{old_name} < 2.3
Provides:       python%{python3_pkgversion}-%{old_name} == %{version}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
A text progress bar is typically used to display the progress of a long running
operation, providing a visual cue that processing is underway.

The progressbar is based on the old Python progressbar package that was
published on the now defunct Google Code. Since that project was completely
abandoned by its developer and the developer did not respond to email, I
decided to fork the package. This package is still backwards compatible with
the original progressbar package so you can safely use it as a drop-in
replacement for existing project.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

%package -n python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        Documentation files for python%{python3_pkgversion}-%{pypi_name}
Requires:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}
BuildArch:      noarch

%description -n python%{python3_pkgversion}-%{pypi_name}-doc
Documentation files for python%{python3_pkgversion}-%{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rfv %{pypi_name}.egg-info

find . -name '*.pyc' -print -delete
find . -name '*.swp' -print -delete
rm -rfv tests/__pycache__/

sed -i -E '/--(no-)?cov/d' pytest.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{old_name}

%if %{with tests}
%check
PYTHONPATH=. %pytest tests
%endif

%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc README.rst CHANGES.rst CONTRIBUTING.rst

%changelog
* Sun Apr 09 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 4.2.0-2
- Optimize the spec file

* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.2.0-1
- update to version 4.2.0

* Fri May 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.53.2-1
- init from upstream
